{default $robots = true}
{default $active = ''}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="robots" content="noindex" n:if="!$robots">

    <title>{include title}{if 'overview' !== $active && $config->title} | {$config->title}{/if}</title>
    <link rel="stylesheet" href="{='resources/css/bootstrap.min.css'|staticFile}">
    <link rel="stylesheet" href="{='resources/css/style.css'|staticFile}">
    <link n:if="$config->googleCseId" rel="search" type="application/opensearchdescription+xml" title="{$config->title}" href="{$config->baseUrl}/opensearch.xml">

    <script n:if="$config->googleAnalytics">
        var _gaq = _gaq || [];
        _gaq.push(['_setAccount', {$config->googleAnalytics}]);
        _gaq.push(['_trackPageview']);

        (function() {
            var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
            ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
        })();
    </script>

    <style>
        .awsicon {
            background-image: url('resources/service-sprites.png');
            background-repeat: no-repeat;
            width: 24px; height: 24px;
            display: inline-block;
            margin-bottom: -6px;
        }
        .awsicon-s3 { background-position: -96px 0; }
        .awsicon-dynamodb { background-position: -128px 0; }
        .awsicon-glacier { background-position: -640px 0; }
        .awsicon-ec2 { background-position: 0 0; }
    </style>
</head>

<body>
    <nav id="navigation" class="navbar navbar-default navbar-fixed-top">
        <div class="container-fluid">
            <div class="navbar-header">
                <a href="index.html" class="navbar-brand">{if $config->title}{$config->title}{else}Overview{/if}</a>
            </div>
            <div class="collapse navbar-collapse">

                <form{if $config->googleCseId} action="http://www.google.com/cse"{/if} id="search" class="navbar-form navbar-left" role="search">
                    <input type="hidden" name="cx" value="{$config->googleCseId}">
                    <input type="hidden" name="ie" value="UTF-8">
                    <div class="form-group">
                        <input type="text" name="q" class="search-query form-control" placeholder="Search"{if 'overview' === $active} autofocus{/if}>
                    </div>
                </form>

                <ul class="nav navbar-nav">
                    <li n:class="'package' === $active ? active" n:if="$packages">
                        <a n:tag-if="'package' !== $active && $package" href="{$package|packageUrl}" title="Summary of {$package}"><span>Package</span></a>
                    </li>
                    <li n:class="'namespace' === $active ? active" n:if="$namespaces">
                        <a n:tag-if="'namespace' !== $active && $namespace" href="{$namespace|namespaceUrl}" title="Summary of {$namespace}"><span>Namespace</span></a>
                    </li>
                    <li n:class="'class' === $active ? active" n:if="!$function && !$constant">
                        <a n:tag-if="'class' !== $active && $class" href="{$class|classUrl}" title="Summary of {$class->name}"><span>Class</span></a>
                    </li>
                    <li n:class="'function' === $active ? active" n:if="$function">
                        <a n:tag-if="'function' !== $active" href="{$function|functionUrl}" title="Summary of {$function->name}"><span>Function</span></a>
                    </li>
                    <li n:class="'constant' === $active ? active" n:if="$constant">
                        <a n:tag-if="'constant' !== $active" href="{$constant|constantUrl}" title="Summary of {$constant->name}"><span>Constant</span></a>
                    </li>

                    <li class="divider-vertical" n:if="$config->tree || $config->deprecated || $config->todo"></li>

                    <li n:class="'tree' === $active ? active" n:if="$config->tree">
                        <a n:tag-if="'tree' !== $active" href="tree.html" title="Tree view of classes, interfaces, traits and exceptions"><span>Tree</span></a>
                    </li>

                    {foreach $annotationGroups as $annotation}
                        <li n:class="$active === 'annotation-group-' . $annotation ? active">
                            <a n:tag-if="$active !== 'annotation-group-' . $annotation" href="annotation-group-{$annotation}.html" title="List of elements with {$annotation} annotation">
                                <span>{$annotation|firstUpper}</span>
                            </a>
                        </li>
                    {/foreach}

                    <li class="divider-vertical" n:if="$config->download"></li>

                    <li n:if="$config->download">
                        <a href="{$archive}" title="Download documentation as ZIP archive"><span>Download</span></a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div id="left">
    <div id="menu">
        {define group}
            <ul>
                {foreach $groups as $group}
                    {var $nextLevel = substr_count($iterator->nextValue, '\\') > substr_count($group, '\\')}
                    <li n:class="$actualGroup === $group || 0 === strpos($actualGroup, $group . '\\') ? active, $config->main && 0 === strpos($group, $config->main) ? main">
                        <a href="{if $groupBy === 'package'}{$group|packageUrl}{else}{$group|namespaceUrl}{/if}">
                            {$group|subgroupName}<span n:tag-if="$nextLevel"></span>
                        </a>
                        {if $nextLevel}
                            <ul>
                        {else}
                            </li>
                            {if substr_count($iterator->nextValue, '\\') < substr_count($group, '\\')}
                                {='</ul></li>'|repeat:substr_count($group, '\\') - substr_count($iterator->nextValue, '\\')|noescape}
                            {/if}
                        {/if}
                {/foreach}
            </ul>
        {/define}

        <div id="groups">
            {if $namespaces}
                <h3>Namespaces</h3>
                {include group, groups => $namespaces, actualGroup => $namespace, groupBy => 'namespace'}
            {elseif $packages}
                <h3>Packages</h3>
                {include group, groups => $packages, actualGroup => $package, groupBy => 'package'}
            {/if}
        </div>

        {define elements}
            <ul>
                <li n:foreach="$elements as $element" n:class="$activeElement === $element ? active"><a n:class="$element->deprecated ? deprecated, !$element->valid ? invalid" href="{$element|elementUrl}">{if $namespace}{$element->shortName}{else}{$element->name}{/if}</a></li>
            </ul>
        {/define}

        <div id="elements">
            {if $classes}
            <h3>Classes</h3>
            {include elements, elements => $classes, activeElement => $class}
            {/if}

            {if $interfaces}
            <h3>Interfaces</h3>
            {include elements, elements => $interfaces, activeElement => $class}
            {/if}

            {if $traits}
            <h3>Traits</h3>
            {include elements, elements => $traits, activeElement => $class}
            {/if}

            {if $exceptions}
            <h3>Exceptions</h3>
            {include elements, elements => $exceptions, activeElement => $class}
            {/if}

            {if $constants}
            <h3>Constants</h3>
            {include elements, elements => $constants, activeElement => $constant}
            {/if}

            {if $functions}
            <h3>Functions</h3>
            {include elements, elements => $functions, activeElement => $function}
            {/if}
        </div>
    </div>
</div>

<div id="splitter"></div>

<div id="right">
    <!-- REGION_DISCLAIMER_DO_NOT_REMOVE -->
    <div id="rightInner">
    {include content}
    </div>

    <div id="footer">
        {$config->title} API documentation generated by <a href="http://www.apigen.org">ApiGen</a>
    </div>
</div>
<!-- SiteCatalyst code version: H.25.2.
      Copyright 1996-2012 Adobe, Inc. All Rights Reserved
      More info available at http://www.omniture.com -->
<script language="JavaScript" type="text/javascript" src="https://a0.awsstatic.com/s_code/js/1.0/awshome_s_code.js"></script>
<script language="JavaScript" type="text/javascript">
    s.prop66 = 'AWS SDK for PHP';
    s.eVar66 = 'D=c66';
    // Documentation Guide Name
    s.prop65 = 'API Reference';
    s.eVar65 = 'D=c65';
    var s_code=s.t();if(s_code)document.write(s_code)//-->
</script>
<script language="JavaScript" type="text/javascript">
    <!--
    if(navigator.appVersion.indexOf('MSIE')>=0)document.write(unescape('%3C')+'\!-'+'-')
    //-->
</script>
<noscript>
    <img src="http://amazonwebservices.d2.sc.omtrdc.net/b/ss/awsamazondev/1/H.25.2--NS/0" height="1" width="1" border="0" alt="" />
</noscript>
<!--/DO NOT REMOVE/-->
<!-- End SiteCatalyst code version: H.25.2. -->
<!--/DO NOT REMOVE/-->
<!-- End SiteCatalyst code version: H.25.2. -->
<script src="{='resources/combined.js'|staticFile}"></script>
<script src="{='searchIndex.js'|staticFile}"></script>
</body>
</html>
